summaryrefslogtreecommitdiffstats
path: root/games/rottexpr/rottexpr.sh
diff options
context:
space:
mode:
Diffstat (limited to 'games/rottexpr/rottexpr.sh')
-rw-r--r--games/rottexpr/rottexpr.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/games/rottexpr/rottexpr.sh b/games/rottexpr/rottexpr.sh
new file mode 100644
index 0000000000..e45e44250f
--- /dev/null
+++ b/games/rottexpr/rottexpr.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+# Wrapper script for Rise of the Triad, by B. Watson
+# Modified for rottexpr by Brent Spillner
+
+# Figures out which rott binary to execute, based on which
+# game data files are installed.
+
+DATADIR=/usr/share/games/rottexpr
+CDROMFILE=$DATADIR/ROTTCD.RTC
+REGFILE=$DATADIR/DARKWAR.WAD
+DEMOFILE=$DATADIR/HUNTBGIN.WAD
+BINDIR=/usr/games
+
+if [ -r $CDROMFILE ]; then
+ exec $BINDIR/rottexpr-cdrom "$@"
+elif [ -r $REGFILE ]; then
+ exec $BINDIR/rottexpr-reg "$@"
+elif [ -r $DEMOFILE ]; then
+ exec $BINDIR/rottexpr-demo "$@"
+else
+ cat 1>&2 <<EOF
+$0: Can't find any usable game data files.
+
+Copy the game data files from either the shareware or full version
+of ROTT to /usr/share/games/rottexpr, and if necessary, rename the files
+to ALL UPPERCASE names (e.g. DARKWAR.WAD).
+EOF
+ exit 1
+fi